update toolchain packages for bionic

Bug #1814369 reported by Matthias Klose on 2019-02-02
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
eclipse-titan (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
gcc-7 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
gcc-7-cross (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
gcc-7-cross-ports (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
gcc-8 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
gcc-8-cross (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
gcc-8-cross-ports (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
gcc-defaults (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
gcc-defaults-ports (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned

Bug Description

This is a follow-up to LP: #1769657. I'd like to update the toolchain packages in bionic, to state which we have in disco in Junuary 2019:

 - gcc-8, update to the gcc-8.3.0 release
 - gcc-7, updates to the gcc-7.4.0 release
 - corresponding gcc-cross packages

The package builds are prepared in
https://launchpad.net/~ubuntu-toolchain-r/+archive/ubuntu/ppa/+packages

[Impact]
Provide an upstream release for GCC 7, and update GCC 8 to the 8.3.0
release

[Regression Potential]
There is regression potential, however with a test rebuild of the complete archive no regressions were found.

[Test Case]
No regressions in the GCC test suite, and no regressions in the test
rebuild of the main component of the archive (all architectures)

As a test, a complete archive rebuild was performed, and no regressions were found with this new package. The archive rebuild also contained updated versions of OpenJDK, OPenSSL, gcc-7, gcc-8, python3.6 and python3.7. The OpenJDK, OpenSSL, GCC and Python packages should not infer with each other.

[Validation]
Analyze the build logs for regressions.
For the cross builds, just make sure that the packages build using
the updated sources.

Summary of the test rebuilds:
http://people.canonical.com/~doko/ftbfs-report/test-rebuild-20181222-bionic.html
http://people.canonical.com/~doko/ftbfs-report/test-rebuild-20181222-test-bionic.html

The first one is a reference build, the second one the test rebuild with the updated components.

An analysis of the build failures was done in
https://docs.google.com/spreadsheets/d/1tMIwlwoHH_1h5sbvUbNac6-HIPKi3e0Xr8ebchIOU1A/edit#gid=147857652 (Sheet2).

No regressions attributed to GCC are shown with the test rebuild for main, the universe component looks ok, except for packages relying on specific GCC versions (ggcov: LP: #1817554), packages needing no-change uploads (e.g. eclipse-titan).

Summary of cosmic test rebuilds (main only):
http://people.canonical.com/~doko/ftbfs-report/test-rebuild-20190404-cosmic.html
http://people.canonical.com/~doko/ftbfs-report/test-rebuild-20190404-gcc8-cosmic.html

One regression, pcre3, needing the same fix as the version in disco, marking one more symbol is optional in the symbols file.

Matthias Klose (doko) on 2019-02-25
description: updated
Matthias Klose (doko) on 2019-04-01
description: updated

Hello Matthias, or anyone else affected,

Accepted gcc-7 into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-7/7.4.0-1ubuntu1~18.10 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gcc-7 (Ubuntu Cosmic):
status: New → Fix Committed
tags: added: verification-needed verification-needed-cosmic
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted gcc-7 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-7/7.4.0-1ubuntu1~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gcc-7 (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed-bionic
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted gcc-8 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-8/8.3.0-4ubuntu1~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gcc-8 (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted eclipse-titan into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/eclipse-titan/6.3.1-1build1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in eclipse-titan (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted gcc-8-cross into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-8-cross/18ubuntu0.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gcc-8-cross (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted gcc-8-cross-ports into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-8-cross-ports/9ubuntu0.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gcc-8-cross-ports (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted gcc-7-cross into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-7-cross/21ubuntu0.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gcc-7-cross (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted gcc-7-cross-ports into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-7-cross-ports/17ubuntu0.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gcc-7-cross-ports (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted gcc-7-cross into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-7-cross/26ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gcc-7-cross (Ubuntu Cosmic):
status: New → Fix Committed
Changed in gcc-7-cross-ports (Ubuntu Cosmic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted gcc-7-cross-ports into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-7-cross-ports/21ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Matthias Klose (doko) on 2019-04-08
description: updated
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted gcc-8-cross into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-8-cross/18ubuntu0.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted gcc-8-cross-ports into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-8-cross-ports/9ubuntu0.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted gcc-defaults into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-defaults/1.176ubuntu2.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gcc-defaults (Ubuntu Bionic):
status: New → Fix Committed
Changed in gcc-defaults-ports (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted gcc-defaults-ports into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-defaults-ports/1.176ubuntu1.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted gcc-8 into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-8/8.3.0-6ubuntu1~18.10 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gcc-8 (Ubuntu Cosmic):
status: New → Fix Committed
Changed in gcc-8-cross (Ubuntu Cosmic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted gcc-8-cross into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-8-cross/21ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gcc-8-cross-ports (Ubuntu Cosmic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted gcc-8-cross-ports into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-8-cross-ports/12ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted gcc-defaults into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-defaults/1.179ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gcc-defaults (Ubuntu Cosmic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted gcc-defaults-ports into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-defaults-ports/1.178ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gcc-defaults-ports (Ubuntu Cosmic):
status: New → Fix Committed
Changed in gcc-7 (Ubuntu):
status: New → Fix Released
Changed in gcc-7-cross (Ubuntu):
status: New → Fix Released
Changed in gcc-7-cross-ports (Ubuntu):
status: New → Fix Released
Changed in gcc-8 (Ubuntu):
status: New → Fix Released
Changed in gcc-8-cross (Ubuntu):
status: New → Fix Released
Changed in gcc-8-cross-ports (Ubuntu):
status: New → Fix Released
Changed in gcc-defaults (Ubuntu):
status: New → Fix Released
Changed in gcc-defaults-ports (Ubuntu):
status: New → Fix Released
Changed in eclipse-titan (Ubuntu):
status: New → Fix Released
Changed in eclipse-titan (Ubuntu Cosmic):
status: New → Fix Released
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted eclipse-titan into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/eclipse-titan/6.3.1-1build4.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in eclipse-titan (Ubuntu Cosmic):
status: Fix Released → Fix Committed
Łukasz Zemczak (sil2100) wrote :

All the bionic-proposed toolchain packages are green and marked as valid candidates (after ignoring the false-positive linux failures). Considering this aged and verified.

tags: added: verification-done-bionic
removed: verification-needed-bionic
Łukasz Zemczak (sil2100) wrote :

So it seems we need to re-build eclipse-titan for bionic still, so for now reverting the verification tag.

tags: added: verification-needed-bionic
removed: verification-done-bionic
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted eclipse-titan into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/eclipse-titan/6.3.1-1build1.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Łukasz Zemczak (sil2100) wrote :

With eclipse-titan rebuilt for both bionic and cosmic, this is now good to go. Marking as verified and releasing.

tags: added: verification-done verification-done-bionic verification-done-cosmic
removed: verification-needed verification-needed-bionic verification-needed-cosmic
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-7-cross-ports - 21ubuntu1.1

---------------
gcc-7-cross-ports (21ubuntu1.1) cosmic-proposed; urgency=medium

  * SRU: LP: #1814369.
  * Build using 7.4.0-1ubuntu1.
  * Build riscv64 packages on arm64 and ppc64el.

 -- Matthias Klose <email address hidden> Fri, 05 Apr 2019 15:08:32 +0200

Changed in gcc-7-cross-ports (Ubuntu Cosmic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for gcc-7-cross-ports has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :
Download full text (17.4 KiB)

This bug was fixed in the package gcc-8 - 8.3.0-6ubuntu1~18.10

---------------
gcc-8 (8.3.0-6ubuntu1~18.10) cosmic-proposed; urgency=medium

  * SRU: LP: #1814369.
  * Update to the GCC 8.3.0 release.
  * Don't build from the ARM/Linaro branch on armhf/arm64.

gcc-8 (8.3.0-6ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't built common libraries now build from GCC 9.

gcc-8 (8.3.0-6) unstable; urgency=medium

  * Update to SVN 20190406 (r270182) from the gcc-8-branch.
    - Fix PR middle-end/89934, PR lto/89896.
  * Fix PR fortran/89981, taken from the trunk.

gcc-8 (8.3.0-5ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't built common libraries now build from GCC 9.

gcc-8 (8.3.0-5) unstable; urgency=medium

  * Update to SVN 20190403 (r270110) from the gcc-8-branch.
    - Fix PR target/89902 (x86), PR target/89903 (x86),
      PR rtl-optimization/89862, PR target/89848 (x86), PR web/87829,
      PR target/89827 (x86), PR fortran/83515, PR fortran/85797,
      PR fortran/78865.
  * Revert the fix for PC c++/88419, causing PR c++/89906. Closes: #926234.
  * Mark gcc-8-source as M-A: foreign.

gcc-8 (8.3.0-4ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't built common libraries now build from GCC 9.

gcc-8 (8.3.0-4) unstable; urgency=medium

  * Update to SVN 20190326 (r269936) from the gcc-8-branch.
    - Fix PR tree-optimization/89546, PR target/89523 (x86), PR fortran/84394,
      PR fortran/66089, PR fortran/66695, PR fortran/77746, PR fortran/79485,
      PR libgcc/60790, PR target/89775 (S390), PR debug/88389,
      PR rtl-optimization/89753, PR middle-end/88273, PR fortran/71861,
      PR fortran/68009.
  * gcc-8-base: Breaks gnat-6 (<< 6.4) to ease upgrades. Closes: #924911.
  * Fix cross building gdc (Helmut Grohne). Closes: #925040.
  * Fix package descriptions for cross packages.
  * Fix PR jit/87808: Don't rely on the gcc driver. Let libgccjit0
    depend on binutils and libgcc-dev. Closes: #911668.
  * Fix stripping the gcc-hppa64 package.

gcc-8 (8.3.0-3ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't built common libraries now build from GCC 9.

gcc-8 (8.3.0-3) unstable; urgency=medium

  * Update to SVN 20190316 (r269720) from the gcc-8-branch.
    - Fix PR tree-optimization/89505, PR target/89517 (AArch64),
      PR bootstrap/89539, PR debug/88878, PR debug/89514,
      PR tree-optimization/89536, PR target/88100 (PPC), PR target/89397 (x86),
      PR target/89361 (S390), PR c++/89212, PR fortran/89077,
      PR fortran/77583, PR fortran/89174, PR fortran/87689, PR fortran/84387,
      PR fortran/89516, PR fortran/89492, PR fortran/89266, PR fortran/88326,
      PR libfortran/89020, PR target/88530 (AArch64), PR target/88530 (AArch64),
      PR ipa/88235, PR c++/88820, PR c++/88869, PR c++/88419, PR c++/88690,
      PR c++/87921, PR c++/89381, PR c++/89576, PR c++/89422, PR c++/87513,
      PR c++/88183, PR c++/89585, PR fortran/71544, PR fortra...

Changed in gcc-8 (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-defaults - 1.179ubuntu1.1

---------------
gcc-defaults (1.179ubuntu1.1) cosmic-proposed; urgency=medium

  * SRU: LP: #1814369.
  * Bump GCC 7 version to 7.4.0.
  * Bump GCC 8 version to 8.3.0.
  * Build ppc64el packages on arm64.
  * Build s390x packages on arm64 and ppc64el.
  * Build riscv64 packages on arm64 and ppc64el.

 -- Matthias Klose <email address hidden> Tue, 09 Apr 2019 03:46:48 +0200

Changed in gcc-defaults (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-8-cross - 21ubuntu1.1

---------------
gcc-8-cross (21ubuntu1.1) cosmic-proposed; urgency=medium

  * SRU: LP: #1814369.
  * Build using gcc 8.3.0-6ubuntu1.
  * Build ppc64el packages on arm64.
  * Build s390x packages on arm64 and ppc64el.
  * Build riscv64 packages on arm64 and ppc64el.

 -- Matthias Klose <email address hidden> Mon, 08 Apr 2019 15:06:14 +0200

Changed in gcc-8-cross (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-defaults-ports - 1.178ubuntu1.1

---------------
gcc-defaults-ports (1.178ubuntu1.1) cosmic-proposed; urgency=medium

  * SRU: LP: #1814369.
  * Bump GCC 7 version to 7.4.0.
  * Bump GCC 8 version to 8.3.0.
  * Build riscv64 packages on arm64 and ppc64el.

 -- Matthias Klose <email address hidden> Tue, 09 Apr 2019 03:59:54 +0200

Changed in gcc-defaults-ports (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-7-cross - 26ubuntu1.1

---------------
gcc-7-cross (26ubuntu1.1) cosmic-proposed; urgency=medium

  * SRU: LP: #1814369.
  * Build using 7.4.0-1ubuntu1.
  * Build ppc64el packages on arm64.
  * Build s390x packages on arm64 and ppc64el.
  * Build riscv64 packages on arm64 and ppc64el.

 -- Matthias Klose <email address hidden> Fri, 05 Apr 2019 14:57:18 +0200

Changed in gcc-7-cross (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-defaults - 1.176ubuntu2.2

---------------
gcc-defaults (1.176ubuntu2.2) bionic-proposed; urgency=medium

  * SRU: LP: #1814369.
  * Bump GCC 7 version to 7.4.0.
  * Bump GCC 8 version to 8.3.0.
  * Build ppc64el packages on arm64.
  * Build s390x packages on arm64 and ppc64el.
  * Build riscv64 packages on arm64 and ppc64el.

 -- Matthias Klose <email address hidden> Sat, 06 Apr 2019 03:57:27 +0200

Changed in gcc-defaults (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-8-cross - 18ubuntu0.3

---------------
gcc-8-cross (18ubuntu0.3) bionic-proposed; urgency=medium

  * SRU: LP: #1814369.
  * Build using gcc 8.3.0-6ubuntu1.
  * Build ppc64el packages on arm64.
  * Build s390x packages on arm64 and ppc64el.
  * Build riscv64 packages on arm64 and ppc64el.

 -- Matthias Klose <email address hidden> Mon, 08 Apr 2019 15:00:00 +0200

Changed in gcc-8-cross (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-7-cross-ports - 17ubuntu0.2

---------------
gcc-7-cross-ports (17ubuntu0.2) bionic-proposed; urgency=medium

  * SRU: LP: #1814369.
  * Build using 7.4.0-1ubuntu1.
  * Build riscv64 packages on arm64 and ppc64el.

 -- Matthias Klose <email address hidden> Fri, 05 Apr 2019 08:55:44 +0200

Changed in gcc-7-cross-ports (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-8-cross-ports - 9ubuntu0.3

---------------
gcc-8-cross-ports (9ubuntu0.3) bionic-proposed; urgency=medium

  * SRU: LP: #1814369.
  * Build using gcc 8.3.0-6ubuntu1.
  * Build ppc64el packages on arm64.
  * Build s390x packages on arm64 and ppc64el.
  * Build riscv64 packages on arm64 and ppc64el.

 -- Matthias Klose <email address hidden> Mon, 08 Apr 2019 15:01:27 +0200

Changed in gcc-8-cross-ports (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package eclipse-titan - 6.3.1-1build1.2

---------------
eclipse-titan (6.3.1-1build1.2) bionic-proposed; urgency=medium

  * SRU: LP: #1814369.
  * Rebuild to satisfy bogus GCC version check.
  * Fix ftbfs on non x86 architectures.

 -- Matthias Klose <email address hidden> Mon, 29 Apr 2019 19:00:03 +0200

Changed in eclipse-titan (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package eclipse-titan - 6.3.1-1build4.1

---------------
eclipse-titan (6.3.1-1build4.1) cosmic-proposed; urgency=medium

  * SRU: LP: #1814369.
  * Rebuild to satisfy bogus GCC version check.
  * Fix ftbfs on non x86 architectures.

 -- Matthias Klose <email address hidden> Wed, 10 Apr 2019 07:52:31 +0200

Changed in eclipse-titan (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-8-cross-ports - 12ubuntu1.1

---------------
gcc-8-cross-ports (12ubuntu1.1) cosmic-proposed; urgency=medium

  * SRU: LP: #1814369.
  * Build using gcc 8.3.0-6ubuntu1.
  * Build riscv64 packages on arm64 and ppc64el.

 -- Matthias Klose <email address hidden> Mon, 08 Apr 2019 15:13:25 +0200

Changed in gcc-8-cross-ports (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (10.0 KiB)

This bug was fixed in the package gcc-7 - 7.4.0-1ubuntu1~18.10

---------------
gcc-7 (7.4.0-1ubuntu1~18.10) cosmic-proposed; urgency=medium

  * SRU: LP: #1814369.
  * Fix target/88856, taken from the gcc-7-branch. LP: #1815057.
  * Fix PR tree-optimization/89505, taken from the gcc-8 branch.

gcc-7 (7.4.0-1ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

gcc-7 (7.4.0-1) unstable; urgency=medium

  * GCC 7.4.0 release.
  * Back-out the gcc-search-prefixed-as-ld patch. See #915194.

gcc-7 (7.3.0-31ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

gcc-7 (7.3.0-31) unstable; urgency=medium

  * GCC 7.4.0 release candidate 1.
  * Update to SVN 20181129 (r266612) from the gcc-7-branch.
    - Fix PR libstdc++/88199, PR libstdc++/87822, PR tree-optimization/79351,
      PR bootstrap/81033, PR target/81733, PR target/52795,
      PR middle-end/87645, PR middle-end/87610, PR tree-optimization/87665,
      PR tree-optimization/87745, PR tree-optimization/87665,
      PR middle-end/86139, PR middle-end/86076, PR target/88051 (x86),
      PR target/82961, PR target/87867 (ARM), PR tree-optimization/84777,
      PR rtl-optimization/84003, PR target/87853 (x86), PR target/87928 (x86),
      PR rtl-optimization/85925, PR debug/88006, PR debug/87462,
      PR middle-end/58372, PR c++/84281, PR c++/87075, PR fortran/88073,
      PR fortran/88143, PR fortran/87597.
  * Backport the libstdc++ mersenne twister optimization for AArch64, so that
    the random header is the same on all architectures (Ubuntu only).
    LP: #1799955.
  * Fix VCS attribute in the control file. Addresses: #912405.

gcc-7 (7.3.0-30ubuntu1) disco; urgency=medium

  * Backport the libstdc++ mersenne twister optimization for AArch64, so that
    the random header is the same on all architectures (Ubuntu only).
    LP: #1799955.

gcc-7 (7.3.0-30) unstable; urgency=medium

  * Update to SVN 20181030 (r265622) from the gcc-7-branch.
    - Fix PR middle-end/86542, PR middle-end/86539, PR middle-end/86660,
      PR libstdc++/87749, PR libstdc++/87704, PR libstdc++/79433,
      PR libstdc++/87641, PR libstdc++/86751, PR libstdc++/78595,
      PR libstdc++/87061, PR libstdc++/70966, PR libstdc++/77854,
      PR libstdc++/87538, PR tree-optimization/87473, PR middle-end/87623,
      PR target/87511 (AArch64), PR target/87550 (x86), PR middle-end/87248,
      PR rtl-optimization/87065, PR middle-end/86627, PR middle-end/86542,
      PR middle-end/86539, PR middle-end/86660, PR middle-end/87024,
      PR middle-end/86505, PR target/87370 (x86), PR target/87517 (x86),
      PR target/87522 (x86), PR other/87353, PR target/87467 (x86),
      PR target/87033 (PPC), PR debug/86687, PR c++/3698, PR c++/86208,
      PR fortran/86421.
  * Don't configure native builds with --with-sysroot. Apparently this cannot
    be completely overridden with the command line option --sysroot.
  * Update VCS attributes in the control file.

gcc-7 (7.3.0-29) unstable; urgency=medium

  * Update to SVN 20180904 (r264075) from the gcc-7-branch.
    - Fix PR sanitizer/86022, PR tree-optimization/85859, P...

Changed in gcc-7 (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (21.4 KiB)

This bug was fixed in the package gcc-8 - 8.3.0-6ubuntu1~18.04

---------------
gcc-8 (8.3.0-6ubuntu1~18.04) bionic-proposed; urgency=medium

  * SRU: LP: #1814369.
  * Update to the GCC 8.3.0 release.
  * Don't build from the ARM/Linaro branch on armhf/arm64.

gcc-8 (8.3.0-6ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't built common libraries now build from GCC 9.

gcc-8 (8.3.0-6) unstable; urgency=medium

  * Update to SVN 20190406 (r270182) from the gcc-8-branch.
    - Fix PR middle-end/89934, PR lto/89896.
  * Fix PR fortran/89981, taken from the trunk.

gcc-8 (8.3.0-5ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't built common libraries now build from GCC 9.

gcc-8 (8.3.0-5) unstable; urgency=medium

  * Update to SVN 20190403 (r270110) from the gcc-8-branch.
    - Fix PR target/89902 (x86), PR target/89903 (x86),
      PR rtl-optimization/89862, PR target/89848 (x86), PR web/87829,
      PR target/89827 (x86), PR fortran/83515, PR fortran/85797,
      PR fortran/78865.
  * Revert the fix for PC c++/88419, causing PR c++/89906. Closes: #926234.
  * Mark gcc-8-source as M-A: foreign.

gcc-8 (8.3.0-4ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't built common libraries now build from GCC 9.

gcc-8 (8.3.0-4) unstable; urgency=medium

  * Update to SVN 20190326 (r269936) from the gcc-8-branch.
    - Fix PR tree-optimization/89546, PR target/89523 (x86), PR fortran/84394,
      PR fortran/66089, PR fortran/66695, PR fortran/77746, PR fortran/79485,
      PR libgcc/60790, PR target/89775 (S390), PR debug/88389,
      PR rtl-optimization/89753, PR middle-end/88273, PR fortran/71861,
      PR fortran/68009.
  * gcc-8-base: Breaks gnat-6 (<< 6.4) to ease upgrades. Closes: #924911.
  * Fix cross building gdc (Helmut Grohne). Closes: #925040.
  * Fix package descriptions for cross packages.
  * Fix PR jit/87808: Don't rely on the gcc driver. Let libgccjit0
    depend on binutils and libgcc-dev. Closes: #911668.
  * Fix stripping the gcc-hppa64 package.

gcc-8 (8.3.0-3ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't built common libraries now build from GCC 9.

gcc-8 (8.3.0-3) unstable; urgency=medium

  * Update to SVN 20190316 (r269720) from the gcc-8-branch.
    - Fix PR tree-optimization/89505, PR target/89517 (AArch64),
      PR bootstrap/89539, PR debug/88878, PR debug/89514,
      PR tree-optimization/89536, PR target/88100 (PPC), PR target/89397 (x86),
      PR target/89361 (S390), PR c++/89212, PR fortran/89077,
      PR fortran/77583, PR fortran/89174, PR fortran/87689, PR fortran/84387,
      PR fortran/89516, PR fortran/89492, PR fortran/89266, PR fortran/88326,
      PR libfortran/89020, PR target/88530 (AArch64), PR target/88530 (AArch64),
      PR ipa/88235, PR c++/88820, PR c++/88869, PR c++/88419, PR c++/88690,
      PR c++/87921, PR c++/89381, PR c++/89576, PR c++/89422, PR c++/87513,
      PR c++/88183, PR c++/89585, PR fortran/71544, PR fortra...

Changed in gcc-8 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (4.2 KiB)

This bug was fixed in the package gcc-7 - 7.4.0-1ubuntu1~18.04

---------------
gcc-7 (7.4.0-1ubuntu1~18.04) bionic-proposed; urgency=medium

  * SRU: LP: #1814369.
  * Fix target/88856, taken from the gcc-7-branch. LP: #1815057.
  * Fix PR tree-optimization/89505, taken from the gcc-8 branch.

gcc-7 (7.4.0-1ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

gcc-7 (7.4.0-1) unstable; urgency=medium

  * GCC 7.4.0 release.
  * Back-out the gcc-search-prefixed-as-ld patch. See #915194.

gcc-7 (7.3.0-31ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

gcc-7 (7.3.0-31) unstable; urgency=medium

  * GCC 7.4.0 release candidate 1.
  * Update to SVN 20181129 (r266612) from the gcc-7-branch.
    - Fix PR libstdc++/88199, PR libstdc++/87822, PR tree-optimization/79351,
      PR bootstrap/81033, PR target/81733, PR target/52795,
      PR middle-end/87645, PR middle-end/87610, PR tree-optimization/87665,
      PR tree-optimization/87745, PR tree-optimization/87665,
      PR middle-end/86139, PR middle-end/86076, PR target/88051 (x86),
      PR target/82961, PR target/87867 (ARM), PR tree-optimization/84777,
      PR rtl-optimization/84003, PR target/87853 (x86), PR target/87928 (x86),
      PR rtl-optimization/85925, PR debug/88006, PR debug/87462,
      PR middle-end/58372, PR c++/84281, PR c++/87075, PR fortran/88073,
      PR fortran/88143, PR fortran/87597.
  * Backport the libstdc++ mersenne twister optimization for AArch64, so that
    the random header is the same on all architectures (Ubuntu only).
    LP: #1799955.
  * Fix VCS attribute in the control file. Addresses: #912405.

gcc-7 (7.3.0-30ubuntu1) disco; urgency=medium

  * Backport the libstdc++ mersenne twister optimization for AArch64, so that
    the random header is the same on all architectures (Ubuntu only).
    LP: #1799955.

gcc-7 (7.3.0-30) unstable; urgency=medium

  * Update to SVN 20181030 (r265622) from the gcc-7-branch.
    - Fix PR middle-end/86542, PR middle-end/86539, PR middle-end/86660,
      PR libstdc++/87749, PR libstdc++/87704, PR libstdc++/79433,
      PR libstdc++/87641, PR libstdc++/86751, PR libstdc++/78595,
      PR libstdc++/87061, PR libstdc++/70966, PR libstdc++/77854,
      PR libstdc++/87538, PR tree-optimization/87473, PR middle-end/87623,
      PR target/87511 (AArch64), PR target/87550 (x86), PR middle-end/87248,
      PR rtl-optimization/87065, PR middle-end/86627, PR middle-end/86542,
      PR middle-end/86539, PR middle-end/86660, PR middle-end/87024,
      PR middle-end/86505, PR target/87370 (x86), PR target/87517 (x86),
      PR target/87522 (x86), PR other/87353, PR target/87467 (x86),
      PR target/87033 (PPC), PR debug/86687, PR c++/3698, PR c++/86208,
      PR fortran/86421.
  * Don't configure native builds with --with-sysroot. Apparently this cannot
    be completely overridden with the command line option --sysroot.
  * Update VCS attributes in the control file.

gcc-7 (7.3.0-29) unstable; urgency=medium

  * Update to SVN 20180904 (r264075) from the gcc-7-branch.
    - Fix PR sanitizer/86022, PR tree-optimization/85859, P...

Read more...

Changed in gcc-7 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-7-cross - 21ubuntu0.2

---------------
gcc-7-cross (21ubuntu0.2) bionic-proposed; urgency=medium

  * SRU: LP: #1814369.
  * Build using 7.4.0-1ubuntu1.
  * Build ppc64el packages on arm64.
  * Build s390x packages on arm64 and ppc64el.
  * Build riscv64 packages on arm64 and ppc64el.

 -- Matthias Klose <email address hidden> Fri, 05 Apr 2019 08:47:07 +0200

Changed in gcc-7-cross (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-defaults-ports - 1.176ubuntu1.2

---------------
gcc-defaults-ports (1.176ubuntu1.2) bionic-proposed; urgency=medium

  * SRU: LP: #1814369.
  * Bump GCC 7 version to 7.4.0.
  * Bump GCC 8 version to 8.3.0.
  * Build riscv64 packages on arm64 and ppc64el.

 -- Matthias Klose <email address hidden> Sat, 06 Apr 2019 04:49:44 +0200

Changed in gcc-defaults-ports (Ubuntu Bionic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers